Pular para o conteúdo principal
POST
/
crm
/
v3
/
objects
/
tasks
/
search
Pesquise tarefas usando os critérios especificados.
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/tasks/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "operator": "BETWEEN",
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
{
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "NTI1Cg%3D%3D",
      "link": "?after=NTI1Cg%3D%3D"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json

Descreve uma solicitação de pesquisa

after
string
obrigatório

Um token de cursor de paginação para recuperar páginas subsequentes.

filterGroups
object[]
obrigatório

Até 6 grupos de filtros definindo critérios de consulta adicionais.

limit
integer<int32>
obrigatório

O máximo de resultados a serem retornados é de até 200 objetos.

properties
string[]
obrigatório

Uma lista de nomes de propriedades a serem incluídos na resposta.

sorts
string[]
obrigatório

Especifica a ordem de classificação com base nas propriedades do objeto.

query
string

A sequência de consulta de pesquisa, até 3000 caracteres.

Resposta

successful operation

Representa uma lista de objetos simples retornados de uma solicitação de API, juntamente com o número total de objetos disponíveis.

results
object[]
obrigatório
total
integer<int32>
obrigatório

O número de resultados disponíveis

paging
object
Last modified on April 13, 2026